Bug 128469 - [PATCH] Update mail/dovecot to 1.1.6
Summary: [PATCH] Update mail/dovecot to 1.1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-29 23:40 UTC by Xin LI
Modified: 2008-11-16 02:50 UTC (History)
1 user (show)

See Also:


Attachments
dovecot-1.1.6.diff (1.61 KB, patch)
2008-10-29 23:40 UTC, Xin LI
no flags Details | Diff
dovecot.diff (5.39 KB, patch)
2008-11-10 02:21 UTC, yds
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2008-10-29 23:40:01 UTC
	This patchset updates mail/dovecot to 1.1.6.

	Maintainer (yds@coolrat.org) cc'ed.
Comment 1 Edwin Groothuis freebsd_committer 2008-10-29 23:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->delphij

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-10-29 23:40:12 UTC
Maintainer of mail/dovecot,

Please note that PR ports/128469 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128469

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-10-29 23:40:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 yds 2008-11-10 02:21:45 UTC
Please use the attached diff and commit.

In addition to updating the port the new diff includes a fix to the rc 
script and brings the examples dovecot.conf closer to the original as per 
recommendations by Timo Sirainen <tss@iki.fi>.

-- 
Yarema <yds@CoolRat.org>
Comment 5 dfilter service freebsd_committer 2008-11-15 21:43:33 UTC
delphij     2008-11-15 21:43:26 UTC

  FreeBSD ports repository

  Modified files:
    mail/dovecot         Makefile distinfo 
    mail/dovecot/files   dovecot.sh.in patch-dovecot-example.conf 
  Log:
  Update to 1.1.6.
  
  PR:             ports/128469
  Submitted by:   maintainer (see reply to the PR)
  
  Revision  Changes    Path
  1.94      +2 -4      ports/mail/dovecot/Makefile
  1.61      +6 -6      ports/mail/dovecot/distinfo
  1.8       +3 -3      ports/mail/dovecot/files/dovecot.sh.in
  1.29      +3 -30     ports/mail/dovecot/files/patch-dovecot-example.conf
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Xin LI freebsd_committer 2008-11-15 21:43:38 UTC
State Changed
From-To: feedback->closed

Maintainer patch applied.
Comment 7 Sunpoet Po-Chuan Hsieh 2008-11-16 01:44:50 UTC
Hi,

The maintainer's patch is in DOS format. That means there are CRs (0x0d) at
the end of patched lines. It breaks the build process. After removing CRs,
make build runs smoothly.
(Ref: http://www.freebsd.org/cgi/query-pr.cgi?prp=128469-2-txt&n=/dovecot.diff)

Best regards,
Sunpoet
Comment 8 Alex Trull 2008-11-16 02:14:32 UTC
Good evening all.

Tried updating. Most of the altered lines in this latest 
patch appear to have dos-style ^Ms on the end so the port 
fails to install or start up if it does install. See 
Makefile, distinfo and dovecot.sh.in.

Regards,

Alex